## org.metaabm.ide
Class DisplayButtonAction

    java.lang.Object
      org.metaabm.ide.DisplayAction
          org.metaabm.ide.DisplayButtonAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IEditorActionDelegate

Direct Known Subclasses:
  DisplayAttributeReferencesAction

    public abstract class DisplayButtonAction

extends DisplayAction

Support for buttons that control some editor view state.

Author:
  milesparker

Field Summary

Fields inherited from class org.metaabm.ide.DisplayAction
`editor`

Constructor Summary
`DisplayButtonAction()`

Method Summary
`abstract boolean` `isStateAs()`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `setActiveEditor(org.eclipse.jface.action.IAction action, org.eclipse.ui.IEditorPart targetEditor)`
`abstract void` `setStateAs(boolean state)`

Methods inherited from class org.metaabm.ide.DisplayAction
`selectionChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayButtonAction

    public DisplayButtonAction()

Method Detail

### setActiveEditor

    public void setActiveEditor(org.eclipse.jface.action.IAction action,
                                org.eclipse.ui.IEditorPart targetEditor)

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`
  Overrides:
    `setActiveEditor` in class `DisplayAction`

### run

    public void run(org.eclipse.jface.action.IAction action)

### setStateAs

    public abstract void setStateAs(boolean state)

### isStateAs

    public abstract boolean isStateAs()